Astrocal
API ReferenceBooking pagesV1PublicBooking pageOrgslugEventslug

Get booking page data

Public endpoint — no authentication required. Resolves org and event type by their URL slugs and returns the data needed to render a booking page, including branding settings. Returns { available: false } when the event type is inactive, booking page is disabled, or the org is suspended.

GET
/v1/public/booking-page/{orgSlug}/{eventSlug}

Path Parameters

orgSlug*string
eventSlug*string

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/public/booking-page/string/string"
{
  "available": true,
  "org_slug": "string",
  "event_type": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "title": "string",
    "slug": "string",
    "description": "string",
    "duration_minutes": 0,
    "color": "string",
    "timezone": "string",
    "price_amount": 0,
    "price_currency": "string",
    "duration_options": [
      0
    ],
    "max_attendees": 0,
    "waitlist_enabled": true,
    "waitlist_max": 0,
    "waitlist_ttl_days": 0,
    "conferencing_provider": "zoom",
    "location": "string",
    "created_at": "string",
    "updated_at": "string"
  },
  "branding": {
    "logo_url": "string",
    "logo_alt_text": "string",
    "remove_branding": true,
    "listing_page_enabled": true
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}